void setup() {
Serial.begin(9600);
}

void loop() {
  int Val=0;
  char tampon[20]="";      
  Serial.println("Veuillez saisir une chaine de caracteres.");
  while(Val==0)  
    { 
    delay(200); 
    Val=Serial.available();
    }
  for (int i=0; i < Val; i++)
    { 
    tampon[i]=Serial.read();
    delay(15); 
    }
  Serial.println("La chaine de caracteres recue est:");
  Serial.println(tampon);
  Serial.flush();
}
